// TextInput

.textinput {
  width: 360px;
  max-width: 100%;

  .input {
    font-size: 1rem;
    color: $theme-color-text-primary;
    padding: 10px;
    border: 1px solid $theme-color-text-primary;
    border-radius: 2px;

    &.error {
      color: $theme-color-error;
      border: 1px solid $theme-color-error;

      &:focus {
        outline: 1px solid $theme-color-error;
      }
    }

    &:focus {
      outline: 1px solid $theme-color-text-primary;
    }
  }

  .label {
    font-weight: 700;
    font-size: 0.9rem;

    &:not(.visually-hidden) {
      margin-bottom: 7.5px;
    }
  }
}

// InputError

.inputerror {
  font-size: 0.8rem;
  color: $theme-color-error;
  margin-top: 7.5px;
}

// Button

.button {
  font: 400 1rem Roboto, "sans-serif";
  background-color: transparent;
  color: inherit;
  cursor: pointer;
  padding: 0;
  border: $button-border-width solid transparent;
  border-radius: $button-border-radius;
  margin: 0;

  &.primary {
    background-color: $theme-color-primary;
    color: $theme-color-white;
  }

  &.secondary {
    background-color: $theme-color-secondary;
    color: $theme-color-text-primary;
  }
  
  &.small {
    padding: 6px 9px;
  }

  &.medium {
    padding: 10px 15px;
  }

  &.large {
    padding: 14px 21px;
  }
}